Get a connection
curl --request GET \
--url https://tracks.alpic.ai/api/connections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tracks.alpic.ai/api/connections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tracks.alpic.ai/api/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tracks.alpic.ai/api/connections/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tracks.alpic.ai/api/connections/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tracks.alpic.ai/api/connections/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tracks.alpic.ai/api/connections/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"server_url": "<string>",
"created_at": "<string>",
"status": "authorizing"
}{
"_tag": "InvalidRequest",
"message": "<string>",
"location": "path",
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"_tag": "ApiKeyRefused",
"message": "<string>"
}{
"_tag": "ConnectionNotFound",
"message": "<string>"
}Connections
Get a connection
Returns a connection.
GET
/
connections
/
{id}
Get a connection
curl --request GET \
--url https://tracks.alpic.ai/api/connections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tracks.alpic.ai/api/connections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tracks.alpic.ai/api/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tracks.alpic.ai/api/connections/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tracks.alpic.ai/api/connections/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tracks.alpic.ai/api/connections/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tracks.alpic.ai/api/connections/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"server_url": "<string>",
"created_at": "<string>",
"status": "authorizing"
}{
"_tag": "InvalidRequest",
"message": "<string>",
"location": "path",
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"_tag": "ApiKeyRefused",
"message": "<string>"
}{
"_tag": "ConnectionNotFound",
"message": "<string>"
}Authorizations
An API key of your organization, starting with trk_, sent as Authorization: Bearer <key>.
Path Parameters
Unique identifier of the connection.
Response
Access to an MCP server as one of its users, kept by us.
- Option 1
- Option 2
Access to an MCP server as one of its users, kept by us.
Unique identifier of the connection.
URL of the MCP server.
authorizing until the user consents on the MCP server, unconfirmed until you confirm it, active once it can be used.
Available options:
authorizing, unconfirmed, active